%define	module zope.event
Summary:	Simple event system
Summary(pl.UTF-8):	Prosty system zdarzeń
Name:		python-%{module}
Version:	3.4.1
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
# Source0-md5:	dedf8ec89b7852745accbee4aa5110e2
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Obsoletes:	Zope-Event
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zope.event package provides a simple event system. It provides:
- an event publishing system
- a very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. (For example, a type-based
  event dispatching system that builds on zope.event can be found in
  zope.component)

%description -l pl.UTF-8
Pakiet zope.event udostępnia prosty system zdarzeń. Zawiera:
- system publikacji zdarzeń
- bardzo prosty system przekazywania zdarzeń, w oparciu o który można
  stworzyć bardziej wyszukane systemy przekazywania zdarzeń (na przykład
  system przekazywania zdarzeń oparty na typach, zbudowany w oparciu o
  zope.event, można znaleźć w zope.component)

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/event
%{py_sitedir}/zope.event-*.egg-info
%{py_sitedir}/zope.event-*-nspkg.pth
%changelog
* Tue Dec 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.event.git;a=log;h=master

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> ca549da
- Zope-Event renamed to python-zope.event

* Mon Dec 07 2015 Elan Ruusamäe <glen@delfi.ee> f1bfdf5
- rebuild for pythonegg deps
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 718b86e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 406229c
- automatic change: use py_build/py_install macros

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 956d005
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 16a8fbe
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 122bfd5
- updated to 3.4.1

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 28a96df
- use pypi uri
- rel. 4

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> f0e553a
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 235c985
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> 43c7767
- moved to py_sitedir
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> aba200e
- pl
- python deps
- noarch

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 32ee3d0
- fixed summary/description/license
- rel. 1

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 905c77f
- based on Zope-Testing.spec

